[Search tip detail and code files using keywords, tip number, author name, etc ]
 
Lengthen to Shorten
Tip# 3584 By Steve Meyer On 28-Feb-2011
5
Rated By 1 users
Categories : 2D Editing
Software type : AutoCAD 2011
Rename File To : No Files to download.
Use the Lengthen command and the Delta option to shorten objects.

Steve Meyer, a senior structural draftsperson, cleverly uses the Lengthen command to shorten objects.

"When laying out structural members on a 2D plan or elevation, connection joints are demonstrated by showing the incoming member ending a little short of the connection point. I like to use the Lengthen command as follows to shorten the incoming line: 

  • Enter Command: Lengthen and press Return
  • Use the Delta option and enter a negative value to specify the length you would like to cut off, e.g., -2 or -50 
  • Choose the line you want to make shorter.

I've set up a macro on a toolbar button to save a little time too:
 
^C^C_lengthen;de

Notes from Cadalyst Tip Patrol: The Lengthen command is meant to be used to make things longer, hence the name. But it can also shorten objects due to the way it works. Using the Delta option in the command changes the length by a set number of units. If it is a positive value, the length is increased. If it is a negative value, then the object's length is reduced. Perhaps the command should be called Change Length instead.

 

Average Rating:
5


User comments
Comment by Kellogg,c. Frank
Posted on 2011-02-28 14:23:26
I also use the lengthen / shorten command. I generate line work for CNC routing operations, and sometimes I want the cutter to go past the end of another cut, so I will lengthen the line by 1/4". I have set up quite a few keyboard shortcuts to accomplish this, in both positive and negative directions, such as, L4 = lengthen 4/8", and S2 = shorten 2/8". I also use the lengthen command to extend lines to get them to intersect others, when I don't feel like using trim/extend. All commands are in my acaddoc.lsp file. (defun C:l4 ( ) (command "lengthen" "delta" ".5" ) (defun C:s2 ( ) (command "lengthen" "delta" "-.25" ) I just discovered I even have ones like this: (defun C:l7c ( ) (command "lengthen" "delta" "70" ) No custom buttons required!
Comment by sman,rob
Posted on 2011-03-01 07:03:46
always nice to know how to use a command to its full extent (pun intended by non-native english speaker). Unfortunately lengthen works on 1 entity only. Assuming there is some ''rectangular pattern' in these floor plans; doesn't stretch do a better job for you , or numerically changing endpoint of these lines simultaniously through properties palette. Last but not least: if you do have to work on one line at a time, you may also try to use the modern gui as intended: grip editing combined with dynamic input allows you to do same without ever invoking a command.
Comment by Hirschklau,Mitchell
Posted on 2011-03-01 11:32:29
Folks: One of AutoCAD's great strengths is that it seems to give us six ways to do anything. One of AutoCAD's great weaknesses is that it seems to give us six ways to do anything. The LENGTHEN tip is a very good one to know. Or, you can GRIP edit. Or, in conjunction with ORTHO, use the "old" CHANGE command to extend or shorten (with certain limitations) several lines at once. The LENGTHEN tip, at least, allows a certain precision. Of course, you could STRETCH the given line and specify the exact distance too... Well, that's four ways - six if we count temporary (or construction) lines and TRIM or EXTEND.
Comment by tilak,Mac
Posted on 2011-03-01 23:02:55
I also use the lengthen with a negative value from time to time. It should be noted that after entering DE and the value, The user can type F for fence and draw a line through the lines to select multiple entities. Works on lines and polylines


Log In